Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/gifsicle: new aport

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Wed, 26 Nov 2014 22:33:16 -0800

gifsicle provides three tools:
gifsicle, which can animate/split/optimize/unoptimize GIF images;
gifdiff, which determines whether two GIFs appear identical; and
gifview, a simple viewer for animated GIFs.

gifview is the only one that uses X11, so it may be worthwhile to
split it out.
---
 testing/gifsicle/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/gifsicle/APKBUILD
diff --git a/testing/gifsicle/APKBUILD b/testing/gifsicle/APKBUILD
new file mode 100644
index 0000000..8f3fe41
--- /dev/null
+++ b/testing/gifsicle/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=gifsicle
+pkgver=1.86
+pkgrel=0
+pkgdesc="Command-line tool for making, editing, and getting information about GIF animations"
+url="http://www.lcdf.org/gifsicle/"
+arch="all"
+license="GPL2"
+depends=""
+makedepends="libx11-dev libice-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.lcdf.org/gifsicle/gifsicle-$pkgver.tar.gz"
+
+_builddir="$srcdir"/gifsicle-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5eadf90cf7a6f22447b0f146e146d092  gifsicle-1.86.tar.gz"
+sha256sums="b0046d5e619240de00a6401e0056843cd57006f674e2babe0e9013e0dcb47394  gifsicle-1.86.tar.gz"
+sha512sums="d55609e5d71f63ec13c1eed6a9071d756f07c765d2496d468cc7291e3b9e29304be1c3a5b0e822d9dc2df29ac489bafca2650d226d5b3c51dad74dd22c725a13  gifsicle-1.86.tar.gz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 26 2014 - 22:33:16 GMT